Event::setPriority
Event::signal
Event
PHP Manual

# Event::setTimer

(PECL event >= 1.2.6-beta)

Event::setTimer — Re-configures timer event

### Description

public bool Event::setTimer ( EventBase `$base` , callable `$cb` [, mixed `$arg` ] )

Re-configures timer event. Note, this function doesn't invoke obsolete libevent's event_set . It calls event_assign instead.

### Parameters

`base`

  The event base to associate with.

`cb`

  The timer event callback. See Event callbacks .

`arg`

  Custom data. If specified, it will be passed to the callback when event triggers.

### Return Values

Returns `TRUE` on success. Otherwise `FALSE`.

### See Also

- Event::__construct() - Constructs Event object
- Event::timer() - Constructs timer event object

Event::setPriority
Event::signal
Event
PHP Manual